/* ltt-control-lite.c
 *
 * Lite version of LTT control module.
 *
 * It simply starts the tracing upon init, and stops it on exit.
 */


#include <linux/init.h>
#include <linux/module.h>
#include <linux/ltt-core.h>


int ltt_control_hook(void)
{
	printk(KERN_ALERT "ltt-control ltt_control_hook\n");
	
	return 0;
}


static int ltt_control_init(void)
{
	int err;
	printk(KERN_ALERT "ltt-control init\n");

	err = ltt_control(LTT_CONTROL_CREATE_FLIGHT_TRACE, "flight");
	if(err) return -err;
	err = ltt_control(LTT_CONTROL_START, "flight");
	if(err) return -err;

	return 0;
}

static void ltt_control_exit(void)
{
	printk(KERN_ALERT "ltt-control exit\n");

	ltt_control(LTT_CONTROL_STOP, "flight");
	ltt_control(LTT_CONTROL_DESTROY_TRACE, "flight");
}


module_init(ltt_control_init)
module_exit(ltt_control_exit)

MODULE_LICENSE("GPL");
MODULE_AUTHOR("Mathieu Desnoyers");
MODULE_DESCRIPTION("Linux Trace Toolkit Lite Controller");

